Remove group channel administrators
Remove administrator privileges from specified group members.
Request
POST: https://Base URL/v4/group-channel/admin/remove
Rate limit: 100 per second
Signature: Required. See API request signature.
Request body
Content type: application/json
| Parameter | Type | Required | Description |
|---|---|---|---|
channelId | String | Yes | Group channel ID. |
userIds | Array | Yes | Array of user IDs to demote. The users must already be members of the group. Maximum: 10 per request. |
Request example
HTTP
POST /v4/group-channel/admin/remove HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json
{
"channelId": "groupId1",
"userIds": [
"userId",
"userId1"
]
}
Response
| Field | Type | Description |
|---|---|---|
code | Number | Return code. 0 indicates success. See Status codes. |
Response example
HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"code": 0
}